﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using Infragistics.Win;
using Infragistics.Documents.Report;
using Infragistics.Documents.Report.Section;
using System.Diagnostics;

namespace UltraChartGridExport
{
    public partial class Form1 : Form
    {
        private DataSet MyDataSet;
        private DataTable MyDataTable;
        private Dictionary<DateTime, decimal> MyDictionary;

        public Form1()
        {
            InitializeComponent();

            ultraChart1.Axis.Y.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;

            MyDataTable = new DataTable();
            MyDataTable.Columns.Add("DateTime", typeof(DateTime));
            MyDataTable.Columns.Add("Value", typeof(Decimal));


            for (int i = 0; i < 50; i++)
            {
                MyDataTable.Rows.Add(new object[] { DateTime.Today.AddDays(i), i });
            }
            ultraGrid1.DataSource = MyDataTable;
            ultraChart1.DataSource = MyDataTable;
        }

        private void ultraGrid1_AfterRowFilterChanged(object sender, Infragistics.Win.UltraWinGrid.AfterRowFilterChangedEventArgs e)
        {
            var FilteredRows = from p in ultraGrid1.Rows.GetFilteredInNonGroupByRows()
                           select new
                           {
                               DateTime = (DateTime)p.GetCellValue(p.Band.Columns[0]),
                               Value = (Decimal)p.GetCellValue(p.Band.Columns[1]),
                           };
            this.ultraChart1.DataSource = FilteredRows.ToList();
        }

    }
}
